Skip to main content

Geostatistics Task API

Version: 0.1.9
Preview

Location-wise summary statistics

POST
/compute/orgs/{org_id}/geostatistics/location-wise-summary

For more information, please read the guide

Request

Path parameters

The organisation identifier

Body parameters

Examples: {"key":"value"}, {"another_key":123}

Source object and attribute containing ensemble values.

Spatial locations of known values. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

Reference to the ensemble to be processed.

Examples: {"key":"value"}, {"another_key":123}

Target object to save summary statistics.

Object to evaluate onto. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com"
}
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message that says what happened in the task.

Examples: {"key":"value"}, {"another_key":123}

The target that was created or updated.

Reference to a geoscience object. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Computed location-wise values.

Reference to the attribute in the geoscience object.

The name of the output attribute.

{
"message": "string",
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"attributes": [
{
"reference": "string",
"name": "string"
}
]
}
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?